import 'reflect-metadata';
import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import * as dotenv from 'dotenv';

dotenv.config();

async function bootstrap() {
  const app = await NestFactory.create(AppModule, {
    logger: ['error', 'warn', 'log', 'debug'],
  });

  const port = process.env.PORT || 3000;
  await app.listen(port);
  console.log(`🚀 Reformix Luisa Bot corriendo en el puerto ${port}`);
  console.log(`📡 Esperando conexion de WhatsApp...`);
}

bootstrap();
